"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var PollyClient_1 = require("./PollyClient");
var DeleteLexiconCommand_1 = require("./commands/DeleteLexiconCommand");
var DescribeVoicesCommand_1 = require("./commands/DescribeVoicesCommand");
var GetLexiconCommand_1 = require("./commands/GetLexiconCommand");
var GetSpeechSynthesisTaskCommand_1 = require("./commands/GetSpeechSynthesisTaskCommand");
var ListLexiconsCommand_1 = require("./commands/ListLexiconsCommand");
var ListSpeechSynthesisTasksCommand_1 = require("./commands/ListSpeechSynthesisTasksCommand");
var PutLexiconCommand_1 = require("./commands/PutLexiconCommand");
var StartSpeechSynthesisTaskCommand_1 = require("./commands/StartSpeechSynthesisTaskCommand");
var SynthesizeSpeechCommand_1 = require("./commands/SynthesizeSpeechCommand");
var Polly = /** @class */ (function (_super) {
    tslib_1.__extends(Polly, _super);
    function Polly() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Polly.prototype.deleteLexicon = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteLexiconCommand_1.DeleteLexiconCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Polly.prototype.describeVoices = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeVoicesCommand_1.DescribeVoicesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Polly.prototype.getLexicon = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetLexiconCommand_1.GetLexiconCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Polly.prototype.getSpeechSynthesisTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSpeechSynthesisTaskCommand_1.GetSpeechSynthesisTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Polly.prototype.listLexicons = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListLexiconsCommand_1.ListLexiconsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Polly.prototype.listSpeechSynthesisTasks = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListSpeechSynthesisTasksCommand_1.ListSpeechSynthesisTasksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Polly.prototype.putLexicon = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutLexiconCommand_1.PutLexiconCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Polly.prototype.startSpeechSynthesisTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartSpeechSynthesisTaskCommand_1.StartSpeechSynthesisTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Polly.prototype.synthesizeSpeech = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SynthesizeSpeechCommand_1.SynthesizeSpeechCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return Polly;
}(PollyClient_1.PollyClient));
exports.Polly = Polly;
//# sourceMappingURL=Polly.js.map