"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeVoices_1 = require("../model/operations/DescribeVoices");
var DescribeVoicesCommand = /** @class */ (function () {
    function DescribeVoicesCommand(input) {
        this.input = input;
        this.model = DescribeVoices_1.DescribeVoices;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeVoicesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeVoicesCommand;
}());
exports.DescribeVoicesCommand = DescribeVoicesCommand;
//# sourceMappingURL=DescribeVoicesCommand.js.map