"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetLexicon_1 = require("../model/operations/GetLexicon");
var GetLexiconCommand = /** @class */ (function () {
    function GetLexiconCommand(input) {
        this.input = input;
        this.model = GetLexicon_1.GetLexicon;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetLexiconCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetLexiconCommand;
}());
exports.GetLexiconCommand = GetLexiconCommand;
//# sourceMappingURL=GetLexiconCommand.js.map