"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSpeechSynthesisTask_1 = require("../model/operations/GetSpeechSynthesisTask");
var GetSpeechSynthesisTaskCommand = /** @class */ (function () {
    function GetSpeechSynthesisTaskCommand(input) {
        this.input = input;
        this.model = GetSpeechSynthesisTask_1.GetSpeechSynthesisTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSpeechSynthesisTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSpeechSynthesisTaskCommand;
}());
exports.GetSpeechSynthesisTaskCommand = GetSpeechSynthesisTaskCommand;
//# sourceMappingURL=GetSpeechSynthesisTaskCommand.js.map