"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListLexicons_1 = require("../model/operations/ListLexicons");
var ListLexiconsCommand = /** @class */ (function () {
    function ListLexiconsCommand(input) {
        this.input = input;
        this.model = ListLexicons_1.ListLexicons;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListLexiconsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListLexiconsCommand;
}());
exports.ListLexiconsCommand = ListLexiconsCommand;
//# sourceMappingURL=ListLexiconsCommand.js.map