import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SynthesizeSpeechInput } from "../types/SynthesizeSpeechInput";
import { SynthesizeSpeechOutput } from "../types/SynthesizeSpeechOutput";
import { PollyResolvedConfiguration } from "../PollyConfiguration";
export * from "../types/SynthesizeSpeechInput";
export * from "../types/SynthesizeSpeechOutput";
export * from "../types/SynthesizeSpeechExceptionsUnion";
export declare class SynthesizeSpeechCommand implements __aws_sdk_types.Command<InputTypesUnion, SynthesizeSpeechInput, OutputTypesUnion, SynthesizeSpeechOutput, PollyResolvedConfiguration, Blob> {
    readonly input: SynthesizeSpeechInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SynthesizeSpeechInput, SynthesizeSpeechOutput<Blob>, Blob>;
    constructor(input: SynthesizeSpeechInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: PollyResolvedConfiguration): __aws_sdk_types.Handler<SynthesizeSpeechInput, SynthesizeSpeechOutput>;
}
