"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SynthesizeSpeech_1 = require("../model/operations/SynthesizeSpeech");
var SynthesizeSpeechCommand = /** @class */ (function () {
    function SynthesizeSpeechCommand(input) {
        this.input = input;
        this.model = SynthesizeSpeech_1.SynthesizeSpeech;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SynthesizeSpeechCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SynthesizeSpeechCommand;
}());
exports.SynthesizeSpeechCommand = SynthesizeSpeechCommand;
//# sourceMappingURL=SynthesizeSpeechCommand.js.map