"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetSpeechSynthesisTaskInput_1 = require("../shapes/GetSpeechSynthesisTaskInput");
var GetSpeechSynthesisTaskOutput_1 = require("../shapes/GetSpeechSynthesisTaskOutput");
var InvalidTaskIdException_1 = require("../shapes/InvalidTaskIdException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var SynthesisTaskNotFoundException_1 = require("../shapes/SynthesisTaskNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetSpeechSynthesisTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetSpeechSynthesisTask",
    http: {
        method: "GET",
        requestUri: "/v1/synthesisTasks/{TaskId}"
    },
    input: {
        shape: GetSpeechSynthesisTaskInput_1.GetSpeechSynthesisTaskInput
    },
    output: {
        shape: GetSpeechSynthesisTaskOutput_1.GetSpeechSynthesisTaskOutput
    },
    errors: [
        {
            shape: InvalidTaskIdException_1.InvalidTaskIdException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: SynthesisTaskNotFoundException_1.SynthesisTaskNotFoundException
        }
    ]
};
//# sourceMappingURL=GetSpeechSynthesisTask.js.map