"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutLexiconInput_1 = require("../shapes/PutLexiconInput");
var PutLexiconOutput_1 = require("../shapes/PutLexiconOutput");
var InvalidLexiconException_1 = require("../shapes/InvalidLexiconException");
var UnsupportedPlsAlphabetException_1 = require("../shapes/UnsupportedPlsAlphabetException");
var UnsupportedPlsLanguageException_1 = require("../shapes/UnsupportedPlsLanguageException");
var LexiconSizeExceededException_1 = require("../shapes/LexiconSizeExceededException");
var MaxLexemeLengthExceededException_1 = require("../shapes/MaxLexemeLengthExceededException");
var MaxLexiconsNumberExceededException_1 = require("../shapes/MaxLexiconsNumberExceededException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutLexicon = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutLexicon",
    http: {
        method: "PUT",
        requestUri: "/v1/lexicons/{LexiconName}"
    },
    input: {
        shape: PutLexiconInput_1.PutLexiconInput
    },
    output: {
        shape: PutLexiconOutput_1.PutLexiconOutput
    },
    errors: [
        {
            shape: InvalidLexiconException_1.InvalidLexiconException
        },
        {
            shape: UnsupportedPlsAlphabetException_1.UnsupportedPlsAlphabetException
        },
        {
            shape: UnsupportedPlsLanguageException_1.UnsupportedPlsLanguageException
        },
        {
            shape: LexiconSizeExceededException_1.LexiconSizeExceededException
        },
        {
            shape: MaxLexemeLengthExceededException_1.MaxLexemeLengthExceededException
        },
        {
            shape: MaxLexiconsNumberExceededException_1.MaxLexiconsNumberExceededException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=PutLexicon.js.map