"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartSpeechSynthesisTaskInput_1 = require("../shapes/StartSpeechSynthesisTaskInput");
var StartSpeechSynthesisTaskOutput_1 = require("../shapes/StartSpeechSynthesisTaskOutput");
var TextLengthExceededException_1 = require("../shapes/TextLengthExceededException");
var InvalidS3BucketException_1 = require("../shapes/InvalidS3BucketException");
var InvalidS3KeyException_1 = require("../shapes/InvalidS3KeyException");
var InvalidSampleRateException_1 = require("../shapes/InvalidSampleRateException");
var InvalidSnsTopicArnException_1 = require("../shapes/InvalidSnsTopicArnException");
var InvalidSsmlException_1 = require("../shapes/InvalidSsmlException");
var EngineNotSupportedException_1 = require("../shapes/EngineNotSupportedException");
var LexiconNotFoundException_1 = require("../shapes/LexiconNotFoundException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var MarksNotSupportedForFormatException_1 = require("../shapes/MarksNotSupportedForFormatException");
var SsmlMarksNotSupportedForTextTypeException_1 = require("../shapes/SsmlMarksNotSupportedForTextTypeException");
var LanguageNotSupportedException_1 = require("../shapes/LanguageNotSupportedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartSpeechSynthesisTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartSpeechSynthesisTask",
    http: {
        method: "POST",
        requestUri: "/v1/synthesisTasks"
    },
    input: {
        shape: StartSpeechSynthesisTaskInput_1.StartSpeechSynthesisTaskInput
    },
    output: {
        shape: StartSpeechSynthesisTaskOutput_1.StartSpeechSynthesisTaskOutput
    },
    errors: [
        {
            shape: TextLengthExceededException_1.TextLengthExceededException
        },
        {
            shape: InvalidS3BucketException_1.InvalidS3BucketException
        },
        {
            shape: InvalidS3KeyException_1.InvalidS3KeyException
        },
        {
            shape: InvalidSampleRateException_1.InvalidSampleRateException
        },
        {
            shape: InvalidSnsTopicArnException_1.InvalidSnsTopicArnException
        },
        {
            shape: InvalidSsmlException_1.InvalidSsmlException
        },
        {
            shape: EngineNotSupportedException_1.EngineNotSupportedException
        },
        {
            shape: LexiconNotFoundException_1.LexiconNotFoundException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: MarksNotSupportedForFormatException_1.MarksNotSupportedForFormatException
        },
        {
            shape: SsmlMarksNotSupportedForTextTypeException_1.SsmlMarksNotSupportedForTextTypeException
        },
        {
            shape: LanguageNotSupportedException_1.LanguageNotSupportedException
        }
    ]
};
//# sourceMappingURL=StartSpeechSynthesisTask.js.map