"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SynthesizeSpeechInput_1 = require("../shapes/SynthesizeSpeechInput");
var SynthesizeSpeechOutput_1 = require("../shapes/SynthesizeSpeechOutput");
var TextLengthExceededException_1 = require("../shapes/TextLengthExceededException");
var InvalidSampleRateException_1 = require("../shapes/InvalidSampleRateException");
var InvalidSsmlException_1 = require("../shapes/InvalidSsmlException");
var LexiconNotFoundException_1 = require("../shapes/LexiconNotFoundException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var MarksNotSupportedForFormatException_1 = require("../shapes/MarksNotSupportedForFormatException");
var SsmlMarksNotSupportedForTextTypeException_1 = require("../shapes/SsmlMarksNotSupportedForTextTypeException");
var LanguageNotSupportedException_1 = require("../shapes/LanguageNotSupportedException");
var EngineNotSupportedException_1 = require("../shapes/EngineNotSupportedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SynthesizeSpeech = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SynthesizeSpeech",
    http: {
        method: "POST",
        requestUri: "/v1/speech"
    },
    input: {
        shape: SynthesizeSpeechInput_1.SynthesizeSpeechInput
    },
    output: {
        shape: SynthesizeSpeechOutput_1.SynthesizeSpeechOutput
    },
    errors: [
        {
            shape: TextLengthExceededException_1.TextLengthExceededException
        },
        {
            shape: InvalidSampleRateException_1.InvalidSampleRateException
        },
        {
            shape: InvalidSsmlException_1.InvalidSsmlException
        },
        {
            shape: LexiconNotFoundException_1.LexiconNotFoundException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: MarksNotSupportedForFormatException_1.MarksNotSupportedForFormatException
        },
        {
            shape: SsmlMarksNotSupportedForTextTypeException_1.SsmlMarksNotSupportedForTextTypeException
        },
        {
            shape: LanguageNotSupportedException_1.LanguageNotSupportedException
        },
        {
            shape: EngineNotSupportedException_1.EngineNotSupportedException
        }
    ]
};
//# sourceMappingURL=SynthesizeSpeech.js.map